Page MenuHomePhabricator

Componentize lldb/scripts to use with LLVM_DISTRIBUTION_COMPONENTS
ClosedPublic

Authored by aadsm on Oct 2 2019, 7:23 PM.

Details

Summary

I'd like to install lldb using the install-distribution target with LLVM_DISTRIBUTION_COMPONENTS but this is currently not possible as the lldb/scripts do not provide any component we can use and install the python scripts.
For this effect I created an lldb-scripts target and added the install-lldb-scripts llvm install target.

I tested with:
cmake ... -DLLVM_ENABLE_PROJECTS="clang;lldb" -DLLVM_DISTRIBUTION_COMPONENTS="lldb;liblldb;lldb-scripts" ...
DESTDIR=... ninja install-distribution

Then checked with bin/lldb -x -o 'script import lldb'

Question:
Since the lldb component is basically useless without at least liblldb would it make sense to make it depending on liblldb and this new lldb-scripts components?

Diff Detail

Repository
rL LLVM

Event Timeline

aadsm created this revision.Oct 2 2019, 7:23 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 2 2019, 7:23 PM
mgorny added inline comments.Oct 2 2019, 11:38 PM
lldb/scripts/CMakeLists.txt
72 ↗(On Diff #222956)

Maybe add python somewhere in the name. Technically, the whole thing looks like it was designed to support more swig targets.

aadsm updated this revision to Diff 223094.Oct 3 2019, 2:18 PM

Rename lldb-scripts to lldb-python-scripts

wallace accepted this revision.Oct 4 2019, 8:59 AM
This revision is now accepted and ready to land.Oct 4 2019, 8:59 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptOct 4 2019, 11:10 AM